var myScroll, pullUpEl, pullUpOffset;
var num=1;

function  getData(num){
    var companyId= $("#companyId").val();
    var total =num*5;
    var html='';
    var li,el;
    el = document.getElementById('product-list');
    $.ajax({
        type: 'POST',
        url: baseUrl+"/weixin/product/delChageListQuery",
        data:{index:total,size:5,companyId:companyId},
        dataType:"json",
        async: false,
        success: function(data){
            if(data.rows.length>0){
                for (var i=0;i<data.rows.length;i++)
                {
                    html="";
                    li = document.createElement('li');
                    var fee = data.rows[i].fee==undefined?"-":data.rows[i].fee+"%";
                    li.innerHTML =
                        '<div class="select">'
                        + '<div class="select-wed" name="'+data.rows[i].id+'" onclick="changClass(this)"></div>'
                        + '</div>'
                        + '<div class="select-content">'
                        + '<div class="select-left">'
                        + '<p>'+data.rows[i].label+'</p>'
                        + '<span>'+data.rows[i].name+'</span>'
                        + '<i>创建时间: '+getMyDate(data.rows[i].createTime)+'</i>'
                        + '</div>'
                        + '<div class="select-right">'
                        + '<span>'+fee+'</span>'
                        + '<i>收入比例</i>'
                        + '</div>'
                        + '</div>';
                    el.appendChild(li, el.childNodes[0]);
                }
            }else{
                // layer.open({content:"数据加载完了！",btn: '我知道了'});
                $("#pullUp").hide();
                $("#ert").text('数据已经加载完了！').show();
            }
        }
    });
}

//获得年月日      得到日期oTime
function getMyDate(str){
    var oDate = new Date(str),
        oYear = oDate.getFullYear(),
        oMonth = oDate.getMonth()+1,
        oDay = oDate.getDate(),
        oHour = oDate.getHours(),
        oMin = oDate.getMinutes(),
        oSen = oDate.getSeconds(),
        oTime = oYear +'-'+ getzf(oMonth) +'-'+ getzf(oDay) +' '+ getzf(oHour) +':'+ getzf(oMin) +':'+getzf(oSen);//最后拼接时间
    return oTime;
};
//补0操作
function getzf(testnum){
    if(parseInt(testnum) < 10){
        testnum = '0'+testnum;
    }
    return testnum;
}
function pullUpAction () {

        getData(num);
        num++;
      myScroll.refresh();// 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)

}

/**
 * 初始化iScroll控件
 */
function loaded() {

    pullUpEl = document.getElementById('pullUp');
    pullUpOffset = pullUpEl.offsetHeight;

    myScroll = new iScroll('wrapper', {
        scrollbarClass: 'myScrollbar', /* 重要样式 */
        scrollbars: true,
        mouseWheel: true,//允许滑轮滚动
        useTransition: false, /* 此属性不知用意，本人从true改为false */
        onRefresh: function () {
            if (pullUpEl.className.match('loading')) {
                pullUpEl.className = '';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
            }
        },
        onScrollMove: function () {
            if (this.y < (this.maxScrollY - 55) && !pullUpEl.className.match('flip')) {
                pullUpEl.className = 'flip';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
                this.maxScrollY = this.maxScrollY;
            } else if (this.y > (this.maxScrollY + 55) && pullUpEl.className.match('flip')) {
                pullUpEl.className = '';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
                this.maxScrollY = pullUpOffset;
            }
        },
        onScrollEnd: function () {
            if (pullUpEl.className.match('flip')) {
                pullUpEl.className = 'loading';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '正在加载...';
                pullUpAction();	// Execute custom function (ajax call?)
            }
        }
    });

    setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
}

//初始化绑定iScroll控件
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
document.addEventListener('DOMContentLoaded', loaded, false);

